perl-Catmandu-Store-Datahub-0.08-alt1.noarch.rpm


Advertisement

Description

perl-Catmandu-Store-Datahub - Store/retrieve items from the Datahub

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports noarch
Package name perl-Catmandu-Store-Datahub
Package version 0.08
Package release alt1
Package architecture noarch
Package type rpm
Installed size 51.49 KB
Download size 51.49 KB
Official Mirror ftp.altlinux.org
Configure the [Datahub](https://github.com/thedatahub/Datahub) as a [store](http://librecat.org/Catmandu/#stores) for [Catmandu](http://librecat.org/).
With Catmandu, it is possible to convert (almost) any data to [LIDO](http://lido-schema.org/), which is suitable for importing in the Datahub. This module allows you to integrate the importing in your Catmandu workflow by setting up a Catmandu-compatible interface between the Datahub and Catmandu.
Note that you must convert your data to LIDO in order to use this module. All other formats will result in an error.

Alternatives

Package Version Architecture Repository
perl-Catmandu-Store-Datahub - - -

Requires

Name Value
/usr/share/perl5 -
perl(Catmandu.pm) >= 1.030.400
perl(Catmandu/Bag.pm) -
perl(Catmandu/Sane.pm) -
perl(Catmandu/Store.pm) -
perl(Catmandu/Util.pm) -
perl(JSON.pm) >= 2.900
perl(LWP/UserAgent.pm) -
perl(Moo.pm) -
perl(Scalar/Util.pm) -
perl(Time/HiRes.pm) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
perl(Catmandu/Store/Datahub.pm) = 0.080
perl(Catmandu/Store/Datahub/API.pm) -
perl(Catmandu/Store/Datahub/Bag.pm) -
perl(Catmandu/Store/Datahub/OAuth.pm) -
perl-Catmandu-Store-Datahub = 0.08-alt1

Download

Type URL
Binary Package perl-Catmandu-Store-Datahub-0.08-alt1.noarch.rpm
Source Package perl-Catmandu-Store-Datahub-0.08-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-Catmandu-Store-Datahub rpm package:
    # sudo apt-get install perl-Catmandu-Store-Datahub

Files

Path
/usr/share/doc/perl-Catmandu-Store-Datahub-0.08/Changes
/usr/share/doc/perl-Catmandu-Store-Datahub-0.08/LICENSE
/usr/share/doc/perl-Catmandu-Store-Datahub-0.08/README
/usr/share/perl5/Catmandu/
/usr/share/perl5/Catmandu/Store/Datahub.pm
/usr/share/perl5/Catmandu/Store/Datahub/API.pm
/usr/share/perl5/Catmandu/Store/Datahub/Bag.pm
/usr/share/perl5/Catmandu/Store/Datahub/OAuth.pm

See Also

Package Description
perl-Catmandu-Store-Elasticsearch-0.0509-alt1.noarch.rpm A searchable store backed by Elasticsearch
perl-Catmandu-Store-Lucy-0.0103-alt1.noarch.rpm A searchable store backed by Lucy
perl-Catmandu-Store-MongoDB-0.07-alt1.noarch.rpm A searchable store backed by MongoDB
perl-Catmandu-Store-REST-0.01-alt1.noarch.rpm Store/retrieve items from a JSON REST-API endpoint
perl-Catmandu-Store-Resolver-0.04-alt1.noarch.rpm Store/retrieve items from the Resolver
perl-Catmandu-Template-0.12-alt1.noarch.rpm Catmandu modules for working with templates
perl-Catmandu-Twitter-0.03-alt1.noarch.rpm Package that imports Twitter feeds
perl-Catmandu-Twitter-scripts-0.03-alt1.noarch.rpm Catmandu-Twitter scripts
perl-Catmandu-VIAF-0.05-alt1.noarch.rpm Retrieve items from the VIAF authority file
perl-Catmandu-Validator-JSONSchema-0.11-alt1.noarch.rpm Catmandu Validator for JSON Schema
perl-Catmandu-Wikidata-0.06-alt1.noarch.rpm Import from Wikidata for processing with Catmandu
perl-Catmandu-WoS-0.0301-alt1.noarch.rpm Catmandu modules to work with the Web Of Science web services
perl-Catmandu-XLS-0.08-alt1.noarch.rpm modules for working with Excel .xls and .xlsx files
perl-Catmandu-XML-0.16-alt1.noarch.rpm Modules for handling XML data within the Catmandu framework
perl-Catmandu-XSD-0.04-alt1.noarch.rpm Modules for handling XML data with XSD compilation
Advertisement
Advertisement